%global macros_dir %{_rpmconfigdir}/macros.d

%global macrosfile macros.ghc-srpm-epel

Name:           ghc-srpm-macros-epel
Version:        1.9.1
Release:        1%{?dist}
Summary:        RPM macros for building Haskell source packages

License:        GPL-2.0-or-later
Url:            https://src.fedoraproject.org/rpms/ghc-srpm-macros
BuildArch:      noarch

Source0:        %{macrosfile}

%description
Macros used when generating Haskell source RPM packages.


%prep
%{nil}


%build
echo no build stage needed


%install
install -p -D -m 0644 %{SOURCE0} %{buildroot}/%{macros_dir}/%{macrosfile}


%files
%{macros_dir}/%{macrosfile}


%changelog
* Mon Dec 16 2024 Jens Petersen <petersen@redhat.com> - 1.9.1-1
- haskell_setup options: -q (quick) -p (no prof) -h (no docs)
- define with_ghc_prof

* Thu Feb 29 2024 Jens Petersen <petersen@redhat.com> - 1.7.1-1
- add ghc_profiling and haskell_setup macros: will replace with_ghc_prof

* Thu Sep 21 2023 Jens Petersen <petersen@redhat.com> - 1.6.1-3
- migrate to SPDX license tag

* Sat Jan 21 2023 Jens Petersen <petersen@redhat.com> - 1.6.0-1
- replace unused ghc_devel_prof with with_ghc_prof (moved from ghc-rpm-macros)
